#ifndef __MC_TTY_H
#define __MC_TTY_H

/* This file takes care of loading ncurses or slang */

int got_interrupt (void);

#ifdef HAVE_SLANG
#   include "myslang.h"
#else
#   define enable_interrupt_key()
#   define disable_interrupt_key()
#   define slang_shutdown()
#   define slang_done_screen()
#   define slang_init()
#   define slang_init_screen()
#   define slang_init_tty()
#   define slang_done_tty();
#   define acs()
#   define noacs()
#   define one_vline() addch (slow_terminal ? ' ' : ACS_VLINE)
#   define one_hline() addch (slow_terminal ? ' ' : ACS_HLINE)
#endif

#ifdef USE_NCURSES
    /* This is required since ncurses 1.8.6 and newer changed the name of */
    /* the include files (July 1994) */
#    ifdef RENAMED_NCURSES
#        include <curses.h>
#    else
#        include <ncurses.h>
#    endif
#endif /* USE_NCURSES */

#define KEY_KP_ADD	4001
#define KEY_KP_SUBTRACT	4002
#define KEY_KP_MULTIPLY	4003

void mc_refresh (void);

#endif /* !__MC_TTY_H */
